﻿
namespace ZuluTradingSampleApp.Model
{
    public class ProviderStatisticsResponseMessage
    {
        public bool Success { get; set; }
        public string CountryName { get; set; }
        public int zuluRank { get; set; }
        public double NecessaryMinEquity { get; set; }
        public double AmountFollowing { get; set; }
        public int Profit { get; set; }
        public long Weeks { get; set; }
        public long Followers { get; set; }
        public int Trades { get; set; }
        public int TotalWinTrades { get; set; }
        public double TotalWinTradesPercent { get; set; }
        public double AvgPipsPerTrade { get; set; }
        public double AvgTradeTimeInSecs { get; set; }
        public double MaxDrawDownPercent { get; set; }
        public int MaxDrawDown { get; set; }
        public int MaxOpenTrades { get; set; }
        public int WorstTradePips { get; set; }
        public int BestTradePips { get; set; }
        public string HasLiveHollowers { get; set; }
        public long StatsLastUpdateDateUtcTimeStamp { get; set; }
        public string StatsLastUpdateDate { get; set; }
        public int ErrorCode { get; set; }
        public string ErrorMessage { get; set; }
    }
}
